首页 » openssl » Centos编译安装openssl perl

Centos编译安装openssl perl

 

编译libcurl中报错 需要安装openssl 写下编译过程

编译环境centos6.6

下载源码编译

注意自己的文件路径

编译很不顺利,make install 报错 :cry: (没有报错的应该是直接成功了 :-)

谷歌翻了半天说是perl以前的版本存在bug 需要更新perl V5.14.2以上

如果系统以前已安装了旧版本的perl的话,替换系统原有的版本

可以看到perl 已经更新到5.16.1,

接着重复开始的步骤编译openssl,

make install 还是有报错 Google了半天仅有的几篇上说是一般的报错对编译不影响

使用命令查看版本

看到上面信息说明安装成功了

可以用下面的命令先删除已安装的版本

原文链接:Centos编译安装openssl perl,转载请注明来源!

0